<div class="formLog">
    <form [formGroup]="angForm" novalidate>
        <div class="login-group">
            <div class="form-group">
                <label class="center-block">Login:
                </label>
                <input class="form-control" formControlName="login">
            </div>
            <div *ngIf="_login.invalid && (_login.dirty || _login.touched)" class="alert alert-danger">
                <div *ngIf="_login.errors.required">
                    Login is required.
                </div>
            </div>
        </div>
        <div class="password-group">
            <div class="form-group">
                <label class="center-block">Password:
                </label>
                <input type="password" class="form-control" formControlName="password">
            </div>
            <div *ngIf="_password.invalid && (_password.dirty || _password.touched)" class="alert alert-danger">
                <div *ngIf="_password.errors.required">
                    Password is required.
                </div>
            </div>
        </div>
        <button class="logButton" (click)="updateName()">Update Name</button>
    </form>
</div>